> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a status page current status

> Get a status page current status by ID



## OpenAPI

````yaml get /uptime/status-pages/{statusPageId}/current-status
openapi: 3.0.0
info:
  title: Phare
  description: >-
    Learn how to use the phare.io API. Most of the things that can be done on
    the web platform can also be achieved with the API documented on this page.
  termsOfService: https://phare.io/legal/terms-of-service
  contact:
    name: Phare
    email: support@phare.io
  version: '1.0'
servers:
  - url: https://api.phare.io
security:
  - BearerAuth: []
tags:
  - name: Users
    description: Users
  - name: Projects
    description: Projects
  - name: Alert Rules
    description: Alert Rules
  - name: Monitors
    description: Monitors
  - name: Incidents
    description: Incidents
  - name: Status Pages
    description: Status Pages
  - name: Reports
    description: Reports
  - name: Platform
    description: Platform
  - name: Integrations
    description: Integrations
paths:
  /uptime/status-pages/{statusPageId}/current-status:
    get:
      tags:
        - Status Pages
      summary: Get a status page current status
      description: Get a status page current status by ID
      operationId: getUptimeStatusPageCurrentStatus
      parameters:
        - name: statusPageId
          in: path
          description: ID of the status page to show the current status for
          required: true
          schema:
            type: integer
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/per_page'
        - $ref: '#/components/parameters/header_project_id'
        - $ref: '#/components/parameters/header_project_slug'
      responses:
        '200':
          description: Success, status page current status retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  current_incident_impact:
                    $ref: '#/components/schemas/Uptime.Incident.ImpactEnum'
                  availability:
                    description: >-
                      Average availability of all associated monitors in the
                      last 90 days, in percents
                    type: number
                    format: float
                    example: 99.9999
                  updated_at:
                    description: Date of the data calculation
                    type: string
                    format: date-time
                  components:
                    description: Components of the status page and their current status
                    type: array
                    items:
                      oneOf:
                        - title: Monitor component
                          properties:
                            type:
                              type: string
                              enum:
                                - uptime/monitor
                            name:
                              description: Monitor name
                              type: string
                              example: Website
                              maximum: 30
                              minimum: 2
                            response_time:
                              description: >-
                                Rolling average response time of the last 10
                                requests, in milliseconds
                              type: integer
                              example: 123
                              nullable: true
                            availability:
                              description: Availability in the last 90 days, in percents
                              type: number
                              format: float
                              example: 99.9999
                            current_incident_impact:
                              $ref: '#/components/schemas/Uptime.Incident.ImpactEnum'
                          type: object
                  active_incidents:
                    description: Active incidents linked to the status page
                    type: array
                    items:
                      oneOf:
                        - title: Monitor component
                          properties:
                            id:
                              type: integer
                              example: 1
                            title:
                              description: Incident title
                              type: string
                              example: Service is not working as expected
                              maximum: 30
                            impact:
                              $ref: '#/components/schemas/Uptime.Incident.ImpactEnum'
                            state:
                              $ref: '#/components/schemas/Uptime.Incident.StateEnum'
                            status:
                              $ref: '#/components/schemas/Uptime.Incident.StatusEnum'
                            exclude_from_downtime:
                              description: >-
                                Flag to exclude the incident from downtime
                                calculations
                              type: boolean
                              example: false
                            incident_at:
                              description: Date of incident confirmation
                              type: string
                              format: date-time
                              nullable: true
                            recovery_at:
                              description: Date of incident recovery
                              type: string
                              format: date-time
                              nullable: true
                          type: object
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  parameters:
    page:
      name: page
      in: query
      description: Page number to show
      required: false
      schema:
        type: integer
        example: 1
        default: 1
    per_page:
      name: per_page
      in: query
      description: Number of resources to return per page
      required: false
      schema:
        type: integer
        example: 20
        default: 20
        maximum: 100
        minimum: 1
    header_project_id:
      name: X-Phare-Project-Id
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: integer
        example: 1
    header_project_slug:
      name: X-Phare-Project-Slug
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: string
        example: luminous-guiding-tower
  schemas:
    Uptime.Incident.ImpactEnum:
      type: string
      enum:
        - unknown
        - operational
        - degraded_performance
        - partial_outage
        - major_outage
        - maintenance
    Uptime.Incident.StateEnum:
      type: string
      enum:
        - unknown
        - investigating
        - identified
        - monitoring
        - resolved
    Uptime.Incident.StatusEnum:
      type: string
      enum:
        - ongoing
        - recovering
        - recovered
  responses:
    '401':
      description: Error, access unauthorized
      content:
        application/json:
          schema:
            description: Access unauthorized error schema
            properties:
              message:
                type: string
                example: Unauthorized
            type: object
    '403':
      description: Error, access forbidden
      content:
        application/json:
          schema:
            description: Access forbidden error schema
            properties:
              message:
                type: string
                example: >-
                  The platform:write permission is required to perform this
                  action.
            type: object
  securitySchemes:
    BearerAuth:
      type: http
      description: >-
        Use a user token to access authenticated routes. The token must be
        specified in the Authorization HTTP header with the following format
        'Authorization: Bearer <token>'.
      scheme: bearer

````